Skip to main content
`Ctrl`+`K`

# PetscDAViewFromOptions

Processes command-line options to determine if a `PetscDA` should be viewed.

## Synopsis

    PetscErrorCode PetscDAViewFromOptions(PetscDA da, PetscObject obj, const char option[])

Collective

## Input Parameters

- da - the `PetscDA` context

- obj - optional object that provides the prefix for options

- option - option name to check (may be `NULL`)

## See Also

PetscDA: Data Assimilation, `PetscDAView()`, `PetscObjectViewFromOptions()`

## Level

beginner

## Location

src/ml/da/interface/petscda.c

## Examples

src/ml/da/tutorials/ex2.c
src/ml/da/tutorials/ex3.c
src/ml/da/tutorials/ex1.c
src/ml/da/tutorials/ex4.c

Index of all PetscDA routines
Table of Contents for all manual pages
Index of all manual pages